\section{List of information parameters}
\subsection{Information local to each process}
\subsubsection{IINFO}
\textbf{mphs\%IINFO} is an integer array of size \textbf{MAPHYS\_IINFO\_SIZE}.
By default, a value of -1 indicates that the data is not available.
\begin{description}
\item [IINFO(1)\label{itm:iinfo1}]: The status of the instance.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_STATUS}}
}{}
\begin{description}
\item [0]: Success.
\item [$<0$]: Failure.
\item [$>0$]: Warning.
\end{description}
\iftoggle{devversion}{
\textcolor{red}{
\item [IINFO(2)\label{itm:iinfo2}]: Additional data in case of warning/error.
\\ \textbf{Warning: Not implemented.}
\\ \*\emph{Enumeration: IINFO\_STATUS\_DETAIL}}
}{}
\item [IINFO(3)\label{itm:iinfo3}]: Flag indicating the strategy used to partition the input linear system. It is available after the analysis step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_STRAT\_PART}}
}{}
\item [IINFO(4)\label{itm:iinfo4}]: Local matrix order. It is available after the analysis step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_LCMAT\_ORDER}}
}{}
\item [IINFO(5)\label{itm:iinfo5}]: Size in MegaBytes used to store the local matrice and its sub-blocks. It is available after the analysis step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_LCMAT\_SIZEOF}}
}{}
\item [IINFO(6)\label{itm:iinfo6}]: Number of entries in the local matrix order. It is available after the analysis step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_LCMAT\_NBENTRIES}}
}{}
\item [IINFO(7)\label{itm:iinfo7}]: Flag indicating which sparse direct solver was used to compute the factorization. It is available after the factorisation step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_STRAT\_FACTO}}
}{}
\item [IINFO(8)\label{itm:iinfo8}]: Flag indicating how the Schur was computed. It is available after the factorisation step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_STRAT\_SCHUR}}
}{}
\item [IINFO(9)\label{itm:iinfo9}]: Size in MegaBytes used to stores the factors of the local matrix (if available). It is available after the factorisation step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_LCFACTO\_SIZEOF}}
}{}
\item [IINFO(10)\label{itm:iinfo10}]: The number of static pivots during the factorization. It is available after the factorisation step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_LCFACTO\_NBPIVOTS}}
}{}
\item [IINFO(11)\label{itm:iinfo11}]: The number of static pivots during the factorization. It is available after the factorisation step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_SCHUR\_ORDER}}
}{}
\item [IINFO(12)\label{itm:iinfo12}]: Size in MegaBytes used to stores the Schur complement or it approximation. It is available after the factorisation step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_SCHUR\_SIZEOF}}
}{}
\item [IINFO(13)\label{itm:iinfo13}]: Number of entries in the approximation of the local Schur, only available with ILU. It is available after the factorisation step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_SCHUR\_NBENTRIES}}
}{}
\item [IINFO(14)\label{itm:iinfo14}]: Preconditioner strategy. The flag indicating which strategy was used to compute the preconditioner. Available after the preconditioning step. (Preconditioner is local dense, local sparse, etc.)
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_STRAT\_PCD}}
}{}
\item [IINFO(15)\label{itm:iinfo15}]: Indicates which sparse direct solver was used to compute the preconditioner. It is available after the preconditioning step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_STRAT\_PCDSDS}}
}{}
\item [IINFO(16)\label{itm:iinfo16}]: The order of the preconditioner. It is available after the preconditioning step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_PCD\_ORDER}}
}{}
\item [IINFO(17)\label{itm:iinfo17}]: Size in MegaBytes used to stores the preconditioner (if available). It is available after the preconditioning step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_PCD\_SIZEOF}}
}{}
\item [IINFO(18)\label{itm:iinfo18}]: The number of static pivots done while computing the preconditioner. It is available after the preconditioner step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_PCD\_NBPIVOTS}}
}{}
\item [IINFO(19)\label{itm:iinfo19}]: The percentage of kept entries in the assembled Schur complement to build the local part of the preconditionner. It is available after the preconditioner step with sparse local preconditioners ( \ref{itm:icntl21} == 2 ).
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_PCD\_PERKEPT}}
}{}
\item [IINFO(20)\label{itm:iinfo20}]: Specifies the iterative solver. The flag indicating which iterative solver was used to solve the Schur complement system. It is available after the solution step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_STRAT\_ITS}}
}{}
\item [IINFO(21)\label{itm:iinfo21}]: Specifies the Schur matrix vector product. The flag indicating how was performed the schur matrix vector product. (Implicit/Explicit) It is available after the solution step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_STRAT\_ITSSMV}}
}{}
\item [IINFO(22)\label{itm:iinfo22}]: On the local system, size in megabytes, of internal data allocated by the sparse direct solver. For \mumps it is IINFOG of 19. It is available after the factorization step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_FAC\_SDSMEMPEAK}}
}{}
\item [IINFO(23)\label{itm:iinfo23}]: On the local Schur system, size in megabytes, of internal data allocated by the sparse direct solver to compute the preconditioner. For \mumps it is IINFOG of 19. It is available after the preconditioning step with sparse preconditioners.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_PCD\_SDSMEMPEAK}}
}{}
\item [IINFO(24)\label{itm:iinfo24}]: Estimation in MegaBytes of the peak of the internal data allocated by the \maphys Process. It only takes into account the allocated data with the heaviest memory cost (Schur, preconditioner, factors of local system and solve).
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_MAPHYS\_MEMPEAK}}
}{}
\item [IINFO(25)\label{itm:iinfo25}]: Estimation in MegaBytes of the current internal data allocated by the \maphys Process.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_MAPHYS\_MEMUSED}}
}{}
\item [IINFO(26)\label{itm:iinfo26}]: Upper bound for memory usage of the iterative solver. It is only available after the solution step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_ITS\_MEMUSED}}
}{}
\item [IINFO(27)\label{itm:iinfo27}]: Upper bound for memory peak of the iterative solver. It is only available after the solution step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_ITS\_MEMPEAK}}
}{}
\item [IINFO(28)\label{itm:iinfo28}]: Memory currently used in \maphys buffers. It is available after the analysis step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_BUFF\_MEMUSED}}
}{}
\item [IINFO(29)\label{itm:iinfo29}]: Memory peak in \maphys buffers. It is available after the analysis step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_BUFF\_MEMPEAK}}
}{}
\item [IINFO(30)\label{itm:iinfo30}]: The internal memory usage of the sparse direct solver library (\mumps, \pastix,etc.).
\\ \textit{Note: An external \pastix instance may influence this data.}
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_LIBSDS\_MEMUSED}}
}{}
\item [IINFO(31)\label{itm:iinfo31}]: The internal memory peak of the sparse direct solver library (\mumps, \pastix,etc.). It is available after the factorisation step.
\\ \textit{Note: An external \pastix instance may influence this data.}
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_LIBSDS\_MEMPEAK}}
}{}
\item [IINFO(32)\label{itm:iinfo32}]: The identifier of the node (from 1 to the number of nodes) It is available after the initialization step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_NODEID}}
}{}
\item [IINFO(33)\label{itm:iinfo33}]: The number of domains associated to the node. It is available after the initialization step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_NODEDOMAINS}}
}{}
\item [IINFO(34)\label{itm:iinfo34}]: The amount of memory used on the node in MegaBytes. It is updated at the end of each step.
\\ \textit{Note: An external \pastix instance may influence this data.}
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_NODE\_MEMUSED}}
}{}
\item [IINFO(35)\label{itm:iinfo35}]: The amount of memory peak on the node in MegaBytes. It is updated at the end of each step.
\\ \textit{Note: An external \pastix instance may influence this data.}
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_NODE\_MEMPEAK}}
}{}
\item [IINFO(36)\label{itm:iinfo36}]: The number of non zero in the schur after the factorisation of the local matrix. It is available after the preconditionning step.
\\ \textit{Note: An external \pastix instance may influence this data.}
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_SCHUR\_NNZ\_AFTER\_FACTO}}
}{}
\item [IINFO(37)\label{itm:iinfo37}]: Effective memory usage of the iterative solver. It is only available after the solution step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFO\_ITS\_MEMREAL}}
}{}
\end{description}
\subsubsection{RINFO}
\textbf{mphs\%RINFO} is an integer array of size \textbf{MAPHYS\_RINFO\_SIZE}.
By default, a value of -1 indicates that the data is not available.
\begin{description}
\item [RINFO(2)\label{itm:rinfo2}]: Norm 1 of the Schur stored in dense matrix. It is only available is the dense local preconditioner was selected ( \ref{itm:icntl21} == 1 ). It is computed during the preconditioning step and is available on each processor.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_DSCHUR\_NORM1}}
}{}
\item [RINFO(3)\label{itm:rinfo3}]: Reciproque of the condition number of the local assembled dense Schur matrix. It is only available is the dense local preconditioner was selected ( \ref{itm:icntl21} == 1 ). It is computed during the preconditioning step and is available on each processor.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_DSCHUR\_RCOND1}}
}{}
\item [RINFO(4)\label{itm:rinfo4}]: Execution Time of the analysis step. It is available after the analysis step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_Analysis}}
}{}
\item [RINFO(5)\label{itm:rinfo5}]: Execution Time of the factorisation step. It is available after the factorisation step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_Facto}}
}{}
\item [RINFO(6)\label{itm:rinfo6}]: Execution Time of the precond step. It is available after the precond step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_Precond}}
}{}
\item [RINFO(7)\label{itm:rinfo7}]: Execution Time of the solution step (include iterative solution of the Schur and backsolve to compute interior). It is available after the solution step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_Solve}}
}{}
\item [RINFO(8)\label{itm:rinfo8}]: Time to preprocess the input matrix. It is only available on the host after the analysis step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_PrcInMat}}
}{}
\item [RINFO(9)\label{itm:rinfo9}]: Time to convert the input system into local system. It is available after the analysis step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_In2LcSys}}
}{}
\item [RINFO(10)\label{itm:rinfo10}]: Time to extract subblocks of the local matrix. It is available after the analysis step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_ExtBlocks}}
}{}
\item [RINFO(11)\label{itm:rinfo11}]: Time to factorize the local matrix. It is available after the factorisation step. If the Schur complement is computed by the sparse direct solver, It includes the time to compute the Schur complement matrix.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_FacLcMat}}
}{}
\item [RINFO(12)\label{itm:rinfo12}]: Time to compute the Schur complement or its approximation. It is available after the factorisation step. If the Schur complement is computed by the sparse direct solver, this is zero. Otherwise, it is the time to compute the Schur complement from factorization Or to estimate the Schur complement with ILUT.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_GetSchur}}
}{}
\item [RINFO(13)\label{itm:rinfo13}]: Time to assemble the Schur complement or its approximation. It is available after the preconditioning step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_AsmsSchur}}
}{}
\item [RINFO(14)\label{itm:rinfo14}]: Time to factorize the assembled Schur complement (the preconditioner). It is available after the preconditioning step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_PcdFacto}}
}{}
\item [RINFO(15)\label{itm:rinfo15}]: The solve step, execution time to distribute the global right-hand side.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_SolveDistRHS}}
}{}
\item [RINFO(16)\label{itm:rinfo16}]: In the solve step, execution time to generate right-hand side of the iterative solver.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_SolveGenRHS}}
}{}
\item [RINFO(17)\label{itm:rinfo17}]: In the solution step, execution time of the iterative solver (to solve the interface).
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_SolveITS}}
}{}
\item [RINFO(18)\label{itm:rinfo18}]: In the solution step, execution time of the sparse direct solver (to solve the interiors).
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_SolveSDS}}
}{}
\item [RINFO(19)\label{itm:rinfo19}]: In the solution step, execution time to gather the solution.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_SolveGathSol}}
}{}
\item [RINFO(20)\label{itm:rinfo20}]: Sum of the execution times of the 4 steps. It is available after the solution step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_AllSteps}}
}{}
\item [RINFO(21)\label{itm:rinfo21}]: Starting/Total execution time from the begining of the analysis to the end of the solve. Before the solve step, it contains the starting time of execution. After the solve step, it contains the total execution time.
\\ \textbf{Warning: It includes the time between each steps (idle time due to synchronisations).}
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_Total}}
}{}
\item [RINFO(22)\label{itm:rinfo22}]: The estimated floating operations for the elimination process on the local system. It is only available after the factorisation.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_FLOPS\_FactoEstiElim}}
}{}
\item [RINFO(23)\label{itm:rinfo23}]: The floating operations for the assembly process on the local system. It is only available after the factorisation.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_FLOPS\_FactoAssemb}}
}{}
\item [RINFO(24)\label{itm:rinfo24}]: The floating operations for the elimination process on the local system. It is only available after the factorisation.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_FLOPS\_FactoElim}}
}{}
\item [RINFO(25)\label{itm:rinfo25}]: The estimated floating operations for the elimination process to obtain the sparse preconditioner. It is only available after the preconditioning step with a sparse preconditioner.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_FLOPS\_PcdEstiElim}}
}{}
\item [RINFO(26)\label{itm:rinfo26}]: The floating point operations for the assembly process to obtain the sparse preconditioner. It is only available after the preconditioning step with a sparse preconditioner.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_FLOPS\_PcdAssemb}}
}{}
\item [RINFO(27)\label{itm:rinfo27}]: The floating point operations for the elimination process to obtain the factorisation of the sparse preconditioner. It is only available after the preconditioning step with a sparse preconditioner.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_FLOPS\_PcdElim}}
}{}
\item [RINFO(28)\label{itm:rinfo28}]: The time spent to perform communications while calling the iterative solver. It is cumulated over the iterations.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_SlvITSComm}}
}{}
\item [RINFO(29)\label{itm:rinfo29}]: Total time spent to perform the matrix-vector products in the iterative solver (where the matrix is the Schur complement). It includes the time to synchronise the vector.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_SlvITSMatV}}
}{}
\item [RINFO(30)\label{itm:rinfo30}]: Total time spent to apply the preconditioner in the iterative solver. It includes the time to synchronise the vector.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_SlvITSPcdV}}
}{}
\item [RINFO(31)\label{itm:rinfo31}]: Total time spent to perform scalar products in the iterative solver. It includes the time to reduce the result.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_SlvITSDotP}}
}{}
\item [RINFO(32)\label{itm:rinfo32}]: Total time spent to apply local dense preconditioner with CGC
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_CGCPCD\_LSOLVE}}
}{}
\item [RINFO(33)\label{itm:rinfo33}]: Total time spent to apply global preconditioner with CGC
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_CGCPCD\_GSOLVE}}
}{}
\item [RINFO(34)\label{itm:rinfo34}]: Total time spent to apply global preconditioner with CGC, solve call
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_CGCPCD\_GSOLVE\_SOLVE}}
}{}
\item [RINFO(35)\label{itm:rinfo35}]: Total time spent to apply global preconditioner with CGC, communications
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_CGCPCD\_GSOLVE\_COMM}}
}{}
\item [RINFO(36)\label{itm:rinfo36}]: Total time spent to assemble the global rhs with CGC
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_CGCPCD\_GSOLVE\_RHSASS}}
}{}
\item [RINFO(37)\label{itm:rinfo37}]: Total time spent to solve generalized eigen problem for CGC preconditionner.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_CGCPCD\_EIGENPB}}
}{}
\item [RINFO(38)\label{itm:rinfo38}]: Total time spent to compute local coarse grid for CGC preconditionner.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_CGCPCD\_LOCPCD}}
}{}
\item [RINFO(39)\label{itm:rinfo39}]: Total time spent to compute global preconditionner for CGC preconditionner.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFO\_TIMING\_CGCPCD\_GLOBPCD}}
}{}
\end{description}
\subsection{Information available on all processes}
\subsubsection{IINFOG}
\textbf{mphs\%IINFOG} is an integer array of size \textbf{MAPHYS\_IINFOG\_SIZE}.
\begin{description}
\item [IINFOG(1)\label{itm:iinfog1}]: The instance status.
\\ \textbf{Warning: In the current version, there is no guarantee that on failure, \ref{itm:iinfog1} is properly set (see section \ref{errorDiags}).}
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFOG\_STATUS}}
}{}
\begin{description}
\item [$<0$]: Error state.
\item [0]: Instance is in a correct state.
\item [-1]: An error occured on process \ref{itm:iinfog2}.
\end{description}
\item [IINFOG(2)\label{itm:iinfog2}]: the additionnal information if an error occured. If INFOG(1) = 1, specifies which process failed (from 1 to the number of processes.).
\\ \textbf{Warning: In the current version, there is no guarantee that on failure, \ref{itm:iinfog2} is properly set (see section \ref{errorDiags}).}
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFOG\_STATUS\_DETAIL}}
}{}
\item [IINFOG(3)\label{itm:iinfog3}]: Order of the input matrix.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFOG\_MAT\_ORDER}}
}{}
\item [IINFOG(4)\label{itm:iinfog4}]: Number of entries in the input matrix. It is only available on process 0.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFOG\_MAT\_NBENTRIES}}
}{}
\item [IINFOG(5)\label{itm:iinfog5}]: Number of iterations performed by the iterative solver. It is set during the solving step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFOG\_ITS\_NbIters}}
}{}
\item [IINFOG(6)\label{itm:iinfog6}]: Number of matrix block products performed by the iterative solver. Only available for \fabulous solver. It is set during the solving step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: IINFOG\_FABULOUS\_nProdMatBlk}}
}{}
\end{description}
\subsubsection{RINFOG}
\textbf{mphs\%RINFOG} is an integer array of size \textbf{MAPHYS\_RINFOG\_SIZE}.
\begin{description}
\item [RINFOG(2)\label{itm:rinfog2}]: Value of $\frac{|| A.x - b ||_2}{ ||b||_2}$ estimated in centralized form, where $||.||_2$ is the euclidean norm, A the input matrix, x the computed solution, b the given right-hand-side. Note that this computation is performed explicitly by \maphys (out of the iterative solver) on the global system. It is available after the solve step.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFOG\_BACKWARD\_ERROR}}
}{}
\item [RINFOG(3)\label{itm:rinfog3}]: The backward error of the Schur system. It is computed during the solve step and is available on each process.
\\ \textbf{Warning: Not available with \fabulous at the moment.}
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFOG\_ITS\_BckErr}}
}{}
\item [RINFOG(4)\label{itm:rinfog4}]: Value of $\frac{|| A.x - b ||_2}{ ||b||_2}$ estimated in distributed form. Note that this computation is performed explicitly by \maphys (out of the iterative solver) on the global system. Note also that it is the same computation as the one performed for \ref{itm:rinfog2}, except that is is performed in parallel.
\iftoggle{devversion}{
\textcolor{red}{
\\ \*\emph{Enumeration: RINFOG\_BckwrdErrorDist}}
}{}
\end{description}
